<?php
if (!defined('DC_CONTEXT_ADMIN')) { return; }

# Get versions
$this_version = $core->plugins->moduleInfo('myLog', 'version');
$installed_version = $core->getVersion('myLog');

# Compare versions
if (version_compare($installed_version, $this_version, '>=')) { return; }

# Install or update
try
{
	//... ici ce qu'on veut faire pendant l'installation. (ou même rien)
	$core->setVersion('myLog', $this_version);

	return true;
}
catch (Exception $e)
{
	$core->error->add($e->getMessage());
	return false;
}
?>
